Skip to main content
PATCH
Update a file

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

id
integer
required

File ID

Body

application/json
name
string
Maximum string length: 200
folder_id
integer

Move the file to this folder

is_restricted
boolean

Restrict the file. A restricted file is no longer visible to API tokens.

expires_at
string<date> | null

Expiry date, or null to clear it

expiry_notify_user_ids
integer[]

Users to notify before the file expires

Response

File updated

data
object

A Drive file.